
Redmine - Defect #3539

Redmine crashes under Passenger on OSX after update to 0.8.4

2009-06-25 12:50 - Mark Hagers

Status: Closed Start date: 2009-06-25

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Because of the bug reports on autologin insecurity we decided to upgrade our redmine installation to the 0.8.4 stable version.

Now redmine cannot be started anymore.

The page at the url of our server (http://support.sharecompany.nl/) displays an error report from the passenger module.

I'll attach files with more information on the problem after creating this ticket.

History

#1 - 2009-06-25 13:05 - Mark Hagers

- File installed_gems.txt added

- File passenger.txt added

- File migrate.txt added

Info on our installation:

$ ruby -v

ruby 1.8.7 (2009-04-08 patchlevel 160) [powerpc-darwin9]

$ rails -v

Rails 2.2.2

$ gem -v

1.3.3

$ rake -V

rake, version 0.8.4

mysql:

Server version: 5.1.34 MySQL Community Server (GPL)

In addition to the above I have also uninstalled ruby-openid 2.1.6 (can't uninstall 1.1.4 for some reason). This makes no difference.

#2 - 2009-06-25 14:26 - Jean-Philippe Lang

I don't see any redmine code involved in your stack trace.

It seems to be related to your setup. Can you check files permissions?

#3 - 2009-06-25 15:54 - Mark Hagers

The permissions look OK to me.

I tried starting with the webrick server, and got a different error:

$ ruby script/server webrick -e production

Rails requires RubyGems >= 0.9.4. Please install RubyGems and try again: http://rubygems.rubyforge.org

$ which gem

/usr/bin/gem

$ gem -v

1.3.3

So a version of rubygems much higher than required is installed but apparently not in a way that ruby can find it? seems strange, /usr/bin is in my

path (obviously) could the version be too high for ruby or redmine?

#4 - 2009-06-25 17:20 - Mark Hagers

- Status changed from New to Resolved

The last error (about the rubygems version) was solved with the help of the following page:

http://railsforum.com/viewtopic.php?id=14850
i.e. after uninstalling the ruby and readline versions that were installed through MacPorts, Webrick would once again start. However upon accessing

the redmine page, another error occurs: Internal Error 500.

Some more poking around reveals that my ruby installation is now back at the Leopard default version 1.8.6. no idea if this is the cause, 1.8.6 is listed

as sufficient for the 0.8.4 release on your page: http://www.redmine.org/wiki/redmine/RedmineInstall#08x-releases.

Fortunately the log file now contains an entry that may give a clue about the remaining issue: the permissions on the tmp dir are incorrect.

I include all this here, in the hope it may sometime help someone who is in the same boat.

I have no idea how a perfectly functioning install became so thoroughly hosed as the result of a simple update of redmine.

#5 - 2009-09-20 17:21 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.

Files

installed_gems.txt 945 Bytes 2009-06-25 Mark Hagers

passenger.txt 3.26 KB 2009-06-25 Mark Hagers

migrate.txt 949 Bytes 2009-06-25 Mark Hagers
